Name:          emerillon
Version:       0.1.90
Release:       3%{?dist}
Summary:       A map viewer for GNOME

Group:         User Interface/Desktops
License:       GPLv2+ and LGPLv2+
URL:           http://projects.gnome.org/emerillon/
Source0:       ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.1/%{name}-%{version}.tar.xz

BuildRequires: gtk3-devel
BuildRequires: geoclue-devel
BuildRequires: libchamplain-gtk-devel
BuildRequires: libpeas-devel
BuildRequires: rest-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: gnome-doc-utils
BuildRequires: gtk-doc
BuildRequires: vala-devel
BuildRequires: vala-tools

# Require until stable tar ball release
BuildRequires: libtool
BuildRequires: gnome-common

%description
Emerillon is a map viewer for GNOME that has an extensible plugin architecture
and Telepathy integration to enable app and location sharing and display of 
friends locations.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%package vala
Summary: Vala Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description vala
Files for vala development with %{name}.

%prep
%setup -q

# Require until stable tar ball release
NOCONFIGURE=yes ./autogen.sh

%build
%configure --enable-gtk-doc
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang %{name}

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_libdir}/girepository-1.0/Emerillon-0.2.typelib
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/glib-2.0/schemas/org.gnome.emerillon.gschema.xml

%files devel
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gir-1.0/Emerillon-0.2.gir
%{_includedir}/%{name}*/
%{_libdir}/pkgconfig/%{name}.pc

%files vala
%defattr(-,root,root,-)
%{_datadir}/vala/vapi/%{name}.*

%changelog
* Tue Oct 11 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.1.90-3
- Rebuild

* Wed Oct 05 2011 Karsten Hopp <karsten@redhat.com> 0.1.90-2.fc16.1
- drop sed scripts which changed libchamplain versions to 0.10

* Thu Sep 22 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.1.90-2
- Bump build for new cogl/champlain

* Wed Sep  7 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.1.90-1
- New upstream release with support for gtk3/libpeas/GSettings

* Tue May  3 2011 Tom Callaway <spot@fedoraproject.org> 0.1.2-17
- conditionalize on fixed version of ethos-devel

* Tue May  3 2011 Tom Callaway <spot@fedoraproject.org> 0.1.2-16
- build against gtk3, fix for new champlain

* Fri Apr  8 2011 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.2-15
- recompile against new champlain

* Fri Feb 11 2011 Matthias Clasen <mclasen@redhat.com> 0.1.2-14
 Rebuilda against newer gtk

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Matthias Clasen <mclasen@redhat.com> 0.1.2-12
- Rebuild against newer gtk

* Sun Jan  9 2011 Matthias Clasen <mclasen@redhat.com> 0.1.2-11
- Rebuild against newer gtk

* Wed Sep 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.1.2-10
- rebuild against new clutter-gtk

* Mon Sep 27 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.2-9
- recompile against new rest again :-)

* Thu Aug  5 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.2-8
- recompile against new rest

* Fri Jul 23 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.2-7
- add new documentation and help

* Fri Jul 23 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.2-6
- disable introspection because ethos introspection is broken

* Wed Jul 21 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.2-5
- Update dependencies for vala bindings

* Mon Jul 12 2010 Matthias Clasen <mclasen@redhat.com> 0.1.2-3
- Rebuild against new libchamplain

* Tue Jul  6 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.2-2
- Fix spelling mistake

* Tue Jul  6 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.2-2
- Bump build

* Tue Jun 29 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.2-1
- New upstream 0.1.2 release, drop upstreamed patches

* Sun Jan 10 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.1-2
- Re-enable search plugin

* Sun Jan 10 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.1-1
- New upstream 0.1.1 release, drop upstreamed patches

* Sat Jan  9 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.0-6
- A few minor updates

* Wed Dec 23 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.0-5
- Fix typo

* Tue Dec 22 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.0-4
- Further updates review bits

* Fri Dec 18 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.0-3
- Updated license to GPLv2 after confirmation from upstream

* Fri Dec 18 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.0-2
- Fix detection of new rest library, desktop file and license

* Thu Oct 15 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.0-1
- Initial packaging
